Bug 178310 - Review Request: w3c-libwww - An HTTP library of common code
Review Request: w3c-libwww - An HTTP library of common code
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrice Dumas
David Lawrence
:
: 175980 (view as bug list)
Depends On:
Blocks: FE-ACCEPT 178169
  Show dependency treegraph
 
Reported: 2006-01-19 06:05 EST by Andreas Bierfert
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-28 05:54:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
minor changes (1.90 KB, patch)
2006-01-19 10:02 EST, Patrice Dumas
no flags Details | Diff

  None (edit)
Description Andreas Bierfert 2006-01-19 06:05:11 EST
Spec Name or Url: http://fedora.lowlatency.de/review/w3c-libwww.spec
SRPM Name or Url: http://fedora.lowlatency.de/review/w3c-libwww-5.4.0-15.src.rpm
Description:
Libwww is a general-purpose Web API written in C for Unix and Windows
(Win32). With a highly extensible and layered API, it can accommodate
many different types of applications including clients and robots. The
purpose of libwww is to provide a highly optimized HTTP sample
implementation, as well as other Internet protocols, and to serve as a
testbed for protocol experiments.
Comment 1 Patrice Dumas 2006-01-19 10:01:35 EST
I attach a patch with minor changes. Feel free to discard what you dislike.

I am a bit puzzled by the end of the third paragraph in the app subpackage
description:

  The line mode browser is a minimal line mode web browser; 
  often useful to convert to ascii text.  Currently unavailable
  until someone updates it to some new interfaces. (hint, hint...)

Is it still true?
Comment 2 Patrice Dumas 2006-01-19 10:02:34 EST
Created attachment 123445 [details]
minor changes
Comment 3 Patrice Dumas 2006-01-19 10:06:48 EST
I think it could be a good idea to explain why 
make LIBTOOL=/usr/bin/libtool
is needed

And also why not use %{?_smp_mflags}?
Comment 4 Andreas Bierfert 2006-01-19 11:17:56 EST
I will look into your patch and the issues you mentioned. This was just my first
rewrite of the core spec so sorry for some bits I missed. Will get on it tonight
when I am home again...
Comment 5 Ville Skyttä 2006-01-19 11:55:04 EST
Already submitted (bug 175980), please close one of these as a dupe.
Comment 6 Andreas Bierfert 2006-01-22 03:33:57 EST
http://fedora.lowlatency.de/review/w3c-libwww.spec
http://fedora.lowlatency.de/review/w3c-libwww-5.4.0-16.src.rpm

Updated with your suggestions :) Lets see how the other submission progresses...
Comment 7 Ville Skyttä 2006-01-29 15:21:27 EST
*** Bug 175980 has been marked as a duplicate of this bug. ***
Comment 8 Ian Burrell 2006-01-29 19:37:42 EST
Review:

OK Package name
OK Spec file name
OK License good (BSD-style)
OK License in spec matches.
OK License is included
OK Spec english/readable
OK Source match upstream (md5sum: c3734ca6caa405707e134cc8c6d7e422)
OK No packages in BR that are in the exceptions list.
OK No locale string or desktop files
OK Post scripts call ldconfig
OK Builds on devel
OK Installs and runs on devel
OK Package owns all it's created directories.
OK Permissions look good.
OK Clean section looks good.
Comment 9 Patrice Dumas 2006-01-31 05:07:30 EST
Anreas, you didn't took into account my Comment #1 about the paragrph stating
that the line browser is unavailable.

Ian, do you want to review the package? If so, you should assign the bug report
to yourself, otherwise I'll do it.
Comment 10 Andreas Bierfert 2006-01-31 06:42:15 EST
Sorry forgot all about testing this... :) Will do so in a sec and get back to you...
Comment 11 Andreas Bierfert 2006-02-02 06:49:59 EST
Ok... fixed the description... www works just fine (from what I can tell...)

http://fedora.lowlatency.de/review/w3c-libwww.spec
http://fedora.lowlatency.de/review/w3c-libwww-5.4.0-17.src.rpm
Comment 12 Patrice Dumas 2006-02-03 05:16:23 EST
I was going to approve, but I have found (by chance) an issue. It seems to me
that  w3c-libwww uses a very outdated version of expat, with code included.

I filed a bug #179836 against the FC-4 version. I think it is better not to ship
it before we get a return on that issue (but if somebody feels like doing a
patch and testing, it'll be nice ;-).

I also have an advice, it is to add a comment for each patch explaining what it
does. It is optionnal, though, and can be done much later.
Comment 13 Andreas Bierfert 2006-02-03 06:16:05 EST
Hm, maybe I don't get this but both expat libs that get created are _not_ part
of expat or expat-devel or did I miss something?
Comment 14 Patrice Dumas 2006-02-03 07:52:02 EST
No you didn't miss anything, it seems that libxmlparse and libxmltok were merged
in the expat library. The included expat seems to correspond with expat version
below 1.2, that was at this page:

http://www.jclark.com/xml/expat.html

I haven't investigated precisely, but at least some symbols that are in
xmlparse.h and xmltok.h are in expat.h.
Comment 15 Kevin Fenzi 2006-02-04 15:16:47 EST
Oddly, it looks like there was talk of making a 5.4.1 release last year: 
http://lists.w3.org/Archives/Public/www-lib/2005OctDec/0014.html

That seems to be updated in CVS, but no release was pushed out. 
I see several security fixes in the Changelog in CVS, so perhaps you 
should base off a CVS snapshot? and/or check with the mailing list to get them
moving again on a release?

It would be good to link against the system expat, not sure how easy that will
be to do however. As a temp measure, perhaps a patch to update them to the
latest expat versions?

Comment 16 Andreas Bierfert 2006-02-08 12:28:07 EST
Ok I have a new release here:

1) it is based of current cvs
2) it builds without the included expat lib and links against the system expat

I have not tried however to compile any programs against this so we will see if
all works out or not... =)

http://fedora.lowlatency.de/review/w3c-libwww-5.4.1-0.1.20060206cvs.src.rpm
http://fedora.lowlatency.de/review/w3c-libwww.spec
Comment 17 Patrice Dumas 2006-02-14 16:50:08 EST
- rpmlint shows those warnings. Maybe the no-version-in-last-changelog could be
acted upon? Can be done after commit.

W: w3c-libwww invalid-license W3C (see:
http://www.w3.org/Consortium/Legal/copyright-software.html)
W: w3c-libwww no-version-in-last-changelog
W: w3c-libwww-apps no-documentation
W: w3c-libwww-devel no-documentation
- name meets the guidelines
- meets the packaging guidelines
- a diff against a cvs checkout give no difference
- everything looks good

Previous version was allready checked by Ian Burrell.

APPROVED
Comment 18 Andreas Bierfert 2006-02-17 07:36:39 EST
Hm before I go out and push this:

wmweather+ does not build because a header is missing (actually the config
header from w3c-libww). I will see if I can fix this in wmweather+ or if it
really should be fixed here before publishing it...
Comment 19 Andreas Bierfert 2006-02-28 05:54:42 EST
Ok, I resolved that by readding the wwwconfig.h file. Imported and pushed :)

Thanks again for the review.

Note You need to log in before you can comment on or make changes to this bug.